Package org.jfree.layouting.input.style.keys.border

## Class BoxShadowValue

- java.lang.Object
- - org.jfree.layouting.input.style.keys.border.BoxShadowValue

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSValue`

      public class BoxShadowValue
      extends java.lang.Object
      implements CSSValue

  Creation-Date: 30.10.2005, 19:53:45
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoxShadowValue​(CSSColorValue color, CSSNumericValue horizontalOffset, CSSNumericValue verticalOffset, CSSNumericValue blurRadius)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CSSNumericValue` | `getBlurRadius​()` |
    `CSSColorValue` | `getColor​()` |
    `java.lang.String` | `getCSSText​()` |
    `CSSNumericValue` | `getHorizontalOffset​()` |
    `CSSNumericValue` | `getVerticalOffset​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoxShadowValue

          public BoxShadowValue​(CSSColorValue color,
                                CSSNumericValue horizontalOffset,
                                CSSNumericValue verticalOffset,
                                CSSNumericValue blurRadius)

  - ### Method Detail

    - #### getColor

          public CSSColorValue getColor​()

    - #### getHorizontalOffset

          public CSSNumericValue getHorizontalOffset​()

    - #### getVerticalOffset

          public CSSNumericValue getVerticalOffset​()

    - #### getBlurRadius

          public CSSNumericValue getBlurRadius​()

    - #### getCSSText

          public java.lang.String getCSSText​()

      Specified by:
        `getCSSText` in interface `CSSValue`